  
   <TabHost 
        xmlns:android="http://schemas.android.com/apk/res/android"  
	    android:id="@+id/queryTabhost"
	    android:layout_width="match_parent"
	    android:layout_height="wrap_content"
	    android:layout_weight="0" >
    
     <TabWidget  style ="@style/ll_tabHead"
        android:id="@android:id/tabs" >
    </TabWidget>

			    
    <FrameLayout
        android:id="@android:id/tabcontent"
          android:layout_width="match_parent" 
  		  android:layout_height="match_parent" >  
           <LinearLayout	
				   android:layout_width="match_parent" 
      			   android:layout_height="match_parent"  >  
					           <LinearLayout style ="@style/ll_tab"   
					            	android:id="@+id/tab_data_type_picker" >         
					            	 <LinearLayout 
								       style ="@style/ll_line_note"
								        >   
										<TextView     
										       style ="@style/text_note"  
											    android:text="@string/query_lable_track_note"  
											     />  
										 		    
							           </LinearLayout> 
									 <LinearLayout  
						   		        android:id="@+id/ll_selection"
						   		         
							            android:layout_width="fill_parent"
							            android:layout_height="wrap_content" 
							             android:layout_marginRight="10dp"
							              android:layout_marginLeft="-3dp"
							            android:layout_marginBottom="0dp"			            
							            android:orientation ="vertical"  >
								  			<LinearLayout  
										            android:layout_width="fill_parent"
										            android:layout_height="wrap_content" 
										            android:layout_marginBottom="0dp"			            
										            android:orientation ="horizontal" >			            
									            	<!-- 	<TextView   style ="@style/ll_text_view"					  
														 android:text="时间" 
														  />	 -->	       
											          <Spinner style ="@style/ll_spinner"
											               android:layout_weight="1"
											               android:id="@+id/St_SpinnerDateRange"
											               android:prompt="@string/sp_date_prompt" 
												           ></Spinner>   
												           
											          <!--  <TextView   style ="@style/ll_text_view"					  
												 		    android:text="类别" 
															   />   -->
													     <Spinner style ="@style/ll_spinner"
													         android:id="@+id/St_SpinnerTrackType"					             
												             android:prompt="@string/sp_type_prompt"
												          ></Spinner>   
												          
													      <CheckBox
										           			     android:id="@+id/fm_chk_show_map"
										           			     style ="@style/radio_btn"  
										           			     android:layout_width="wrap_content"
										           			     android:checked="true"
										           			     android:layout_weight="0"
										           			     android:layout_gravity="center_vertical" 
										           			     android:text="地图" />
													      <CheckBox
										           			     android:id="@+id/fm_chk_show_pic"
										           			     style ="@style/radio_btn"  
										           			     android:layout_width="wrap_content"
										           			     android:checked="true"
										           			     android:layout_weight="0"
										           			     android:layout_gravity="center_vertical" 
										           			     android:text="照片" />
													     
											  </LinearLayout>        
								   
								  			<LinearLayout 
										            android:id="@+id/st_ll_custom"
										            android:layout_width="fill_parent"
										            android:layout_height="wrap_content"
										            android:layout_marginLeft="5dp" 
										            android:layout_marginBottom="5dp"
										            android:visibility="gone"
										            android:orientation ="horizontal" > 
										            		    
												   <EditText  style ="@style/td_text" 
												        android:id="@+id/st_date_start"  
												        android:editable="false"
												        android:gravity="center"
												        android:layout_gravity="center_vertical"
												        android:text="开始时间"  
												       />    
												  <TextView   style ="@style/ll_text_view"
												      		 android:layout_width="wrap_content"  		
												      		 android:layout_weight="0"
												      		 android:layout_gravity="center_vertical"  
												 		    android:text="--" />
												    <EditText  style ="@style/td_text" 
												        android:id="@+id/st_date_end"  
												        android:editable="false"
												        android:gravity="center"
												        android:text="结束时间"  
												        android:layout_gravity="center_vertical"
												        
												        />  
												  <Button
												        android:id="@+id/st_btn_query"
												        style ="@style/ll_button"  
												        android:layout_weight="1" 
												        android:text="确定" />  
									  
							        			 </LinearLayout>  
						            
							</LinearLayout>
					   </LinearLayout>		 
					 
						 <LinearLayout style ="@style/ll_tab"  
				            android:id="@+id/tab_categories"
				             android:layout_height="wrap_content"  
				            >         
							 <!-- biao qian / categories   -->  
								  <LinearLayout 
								       style ="@style/ll_line_note"
								        >   
										<TextView    
										     	android:id="@+id/txtNotice" 
										       style ="@style/text_note"  
											    android:text="@string/query_lable_cates_note"  
											     />  
										 		    
							           </LinearLayout> 
	 		          
									         <com.qiyou.mb.android.ui.fragments.InnerGridView 
										        android:id="@+id/cate_list"
										        android:layout_width="match_parent"
										        android:layout_height="50dp"  
										         android:layout_marginLeft="5dp"
										         android:layout_marginRight="5dp"
										         android:layout_weight="0"
										         android:numColumns="3"
										         android:focusable="true" 
										         android:focusableInTouchMode="true"
										        /> 
										         <LinearLayout 
											        android:layout_width="wrap_content"
											        android:layout_height="wrap_content"
											          android:layout_marginLeft="5dp"
										       		 android:layout_marginRight="5dp"
											         android:padding="5dp"	
											         android:gravity="center_horizontal"
											        android:orientation="horizontal" >
													   <RadioGroup android:id="@+id/catesQuery_rdGroup" 
																	   style ="@style/radio_grp"  >
																	    <RadioButton
																	        android:id="@+id/catesQuery_b"
																	         style ="@style/radio_btn"  
																	        android:checked="true"
																	        android:text="取标签并集" />
																	     <RadioButton
																	        android:id="@+id/catesQuery_j"
																	         style ="@style/radio_btn"  
																	        android:text="取标签交集" /> 
																	      
																 </RadioGroup> 
													 
													     <!-- <Button
														        android:id="@+id/btn_CateQuery"
														         style="@style/ll_button.small"  
														         android:layout_height="30dp"
														         android:layout_gravity="right" 
														        android:text="查询" />  -->
													 
													   <ImageView 	  
															        android:id="@+id/btn_CateQuery"   
																    android:layout_width="wrap_content"
																    android:layout_height="wrap_content"
																    android:layout_weight="0"
																    android:gravity="right"
																    android:background="@drawable/icon_search"
																     android:layout_marginLeft="10dp"
																     android:layout_marginTop="5dp"
																    />  
										 </LinearLayout>
								 
									      
					   </LinearLayout>	
			   
				 <!--
					  <LinearLayout style ="@style/ll_tab"
			            android:id="@+id/tab_inactive"
			             android:layout_height="wrap_content"
			              android:orientation ="vertical"   
			            >
					</LinearLayout>	  
		          -->  
				         <LinearLayout style ="@style/ll_tab"
					            android:id="@+id/tab_route"
					             android:layout_height="wrap_content"
					              android:orientation ="vertical"   
					            >
						       <LinearLayout 
								       style ="@style/ll_line_note"
								        >   
										<TextView    
										      
										       style ="@style/text_note"  
											    android:text="@string/query_lable_route_note"  
											     />  
										 		    
							           </LinearLayout> 
							</LinearLayout>	 
					
		          	  
					  	   
			  	  
		    </LinearLayout>    
		    </FrameLayout>
		
		</TabHost>  
  
  
    